*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    scroll-behavior: smooth;
    
}

:root{
    --primarycolor: #2196f3;
    --bglogo: #64b5f6;
    --secondarycolor: #d50000; 
    --white: #fff;
    --black: rgba(0, 0, 0, 0.801);
    --bs-gutter-x: 1.5rem;
}
a.active, .navitem:hover, .sidenav li>a:hover {
    background-color: #64b5f6;
}

/* Color Styling */
.secondarycolor{
    color: var(--secondarycolor);
}

.link{
    color: var(--secondarycolor) !important;
}
.linked{
    height: 100px;
    opacity: 0;
}
.scrollspy{
    margin-top: -30px;
    margin-bottom: -80px;
    
}

/* Navbar Styling */

/* Container Styling Start Here */
.container,
.container-fluid,
.container-xxl,
.container-xl,
.container-lg,
.container-md,
.container-sm {
  width: 100%;
  padding-right: var(--bs-gutter-x, 0.75rem);
  padding-left: var(--bs-gutter-x, 0.75rem);
  margin-right: auto;
  margin-left: auto;
}

@media (min-width: 576px) {
  .container-sm, .container {
    max-width: 540px;
  }
}
@media (min-width: 768px) {
  .container-md, .container-sm, .container {
    max-width: 720px;
  }
}
@media (min-width: 992px) {
  .container-lg, .container-md, .container-sm, .container {
    max-width: 960px;
  }
}
@media (min-width: 1200px) {
  .container-xl, .container-lg, .container-md, .container-sm, .container {
    max-width: 1140px;
  }
}
@media (min-width: 1400px) {
  .container-xxl, .container-xl, .container-lg, .container-md, .container-sm, .container {
    max-width: 1320px;
  }
}
/* Container Styling End Here */

/* Margin Styling Start Here */
.m-auto {
    margin: auto !important;
}

.mx-0 {
    margin-right: 0 !important;
    margin-left: 0 !important;
}

.mx-1 {
    margin-right: 0.25rem !important;
    margin-left: 0.25rem !important;
}

.mx-2 {
    margin-right: 0.5rem !important;
    margin-left: 0.5rem !important;
}

.mx-3 {
    margin-right: 1rem !important;
    margin-left: 1rem !important;
}

.mx-4 {
    margin-right: 1.5rem !important;
    margin-left: 1.5rem !important;
}

.mx-5 {
    margin-right: 3rem !important;
    margin-left: 3rem !important;
}

.mx-auto {
    margin-right: auto !important;
    margin-left: auto !important;
}

.my-0 {
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.my-1 {
    margin-top: 0.25rem !important;
    margin-bottom: 0.25rem !important;
}

.my-2 {
    margin-top: 0.5rem !important;
    margin-bottom: 0.5rem !important;
}

.my-3 {
    margin-top: 1rem !important;
    margin-bottom: 1rem !important;
}

.my-4 {
    margin-top: 1.5rem !important;
    margin-bottom: 1.5rem !important;
}

.my-5 {
    margin-top: 3rem !important;
    margin-bottom: 3rem !important;
}

.my-auto {
    margin-top: auto !important;
    margin-bottom: auto !important;
}
/* Margin Styling End Here */

/* Logo Stayling Start Here */
.brand-logo{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--bglogo);
    padding: 30px;
}
.logo{
    height: 4rem;
}
/* Logo Styling End Here */

/* Navbar Styling Start Here */
nav{
    background-color:  var(--primarycolor);
    height: 120px;
    width: 100%;
}
.hide-on-med-and-down{
    display: flex;
    justify-content: space-around;
}
li{
    margin-top: 10px;
}

.navitem{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding-top: 10px;
    scroll-behavior: smooth;
}
.navitem > img{
    width: 30px;
    margin-right: 10px;
}

/* Toggler Button Styling Start Here */
.brand-logo{
    padding-top: 150px;
}
.sidenav-trigger{
    display: none;
}
/* Toggler Button Styling End Here */
.margintop{
    margin-top: 100px;
}
/* Navbar Styling End Here */

/* Heading Styling Start Here */
.headingdiv{
    display: flex;
    background-color: var(--primarycolor);
    margin: 20px auto;
    padding: 5px;
    border-radius: 20px;
    justify-content: center;
}
.headingdiv img{
    height: 40px;
    margin: auto 10px;
}
.heading{
    color: var(--white);
    position: relative;
    top: -5px;
    text-transform: uppercase;
}

.bold{
    font-weight: bold;
}

.mainsection{
    padding-bottom: 2rem;
    border-radius: 20px;
    margin-top: 4rem;
    /* margin-bottom: 4rem; */
}
.section{
    padding-top: 20px;
    
}

.image{
    width: 100%;
    height: 100%;
    margin-top: 3rem;
    margin-bottom: 3rem;
    border: 1px solid var(--black);
}

.code{
    border: 1px solid var(--black);
    padding: 2rem 1rem;
    margin-top: 3rem;
    overflow-x: scroll;
}

/* Media Quries Screen Size less tah 992 Pixel Start Here*/

@media (max-width: 992px) {

    /* Navbar Styling Start Here */
    nav{
        display: none;
    }

    /* Sidebar Button Styling Start Here */
    .sidenav-trigger{
        /* background-color: var(--primarycolor); */
        display: inline-block;
        font-size: 2.5rem;
        color: var(--white);
        position: fixed;
        right: 30px;
        top: 30px;
    }
    /* Sidebar Button Styling End Here */

    /* Navbar Logo Styling Start Here */
    .brand-logo{
        background-color: var(--primarycolor);
        position: fixed;
        width: 100%;
        padding-top: 30px;
    }
    /* Navbar Logo Styling End Here */

    /* Sidebar Link Styling Start Here */
    .sidenav .navitem{
        position: relative;
    }
    .sidenav .navitem img{
        position: relative;
        top: 10px;
    }
    /* Sidebar Link Styling End Here */
    .sidenav-overlay{
        z-index: 0;
    }
    .margintop{
        margin-top: 0px;
    }

    /* Navbar Styling End Here */
}

/* Media Quries Screen Size less tah 992 Pixel End Here */


@media (max-width: 500px) {
    .brand-logo .logo{
        width: 150px;
    }
}